#!/bin/sh

if [ "${ACTION}" = "add" ] && [ -n "${DEVNAME}" ]; then
	name=$(basename ${DEVNAME})
	devnum="$(basename $(readlink -f /sys/class/tty/${name}/device))"
	if [ -c ${DEVNAME} ] &&
	   ! stty -F ${DEVNAME} >/dev/null 2>&1; then
		echo "udev/fpga-tty: Port ${name} not present on boot, disabling" > /dev/kmsg
		echo "${devnum}" > /sys/bus/pnp/drivers/serial/unbind
		rm ${DEVNAME}
	fi
fi
